cloudstack-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kirk Kosinski <kirkkosin...@gmail.com>
Subject Re: upgrade from 3.0.2 to 4.0.1
Date Fri, 08 Mar 2013 04:35:23 GMT
Hi, Julien.  There is a similar error in this bug:

https://issues.apache.org/jira/browse/CLOUDSTACK-90

Maybe try upgrading to 4.0.0 instead of 4.0.1 since the comments
indicate that it works.  Or try the workaround suggested by Wido in the
comments.

Best regards,
Kirk

On 02/14/2013 06:18 AM, Julien Garet wrote:
> Hello, 
> 
> 
> We are planning an upgrade from 3.0.2 to latest release. We are using released packages
on CentOS 6.3, so yum installs version 4.0.1. When we restart the management server, we have
this error : 
> 
> 
> management/logs/catalina.out:INFO [cloud.upgrade.DatabaseUpgradeChecker] (main:) DB version
= 3.0.2.20120506223416 Code Version = 4.0.1.20130201075054 
> management/logs/catalina.out:INFO [cloud.upgrade.DatabaseUpgradeChecker] (main:) Database
upgrade must be performed from 3.0.2.20120506223416 to 4.0.1.20130201075054 
> management/logs/catalina.out:ERROR [cloud.upgrade.DatabaseUpgradeChecker] (main:) The
end upgrade version is actually at 4.0.0 but our management server code version is at 4.0.1.20130201075054

> management/logs/catalina.out:com.cloud.utils.exception.CloudRuntimeException: The end
upgrade version is actually at 4.0.0 but our management server code version is at 4.0.1.20130201075054

> 
> 
> I've tried to look at the source code and I see nowhere references to 4.0.1 in : incubator-cloudstack/server/src/com/cloud/upgrade

> 
> 
> Am I missing something ? 
> 
> 
> Doc followed for upgrade : http://incubator.apache.org/cloudstack/docs/en-US/Apache_CloudStack/4.0.1-incubating/html/Release_Notes/upgrade-instructions.html#upgrade-from-3.0.2-to-4.0.1

> 
> 
> 
> 
> ---- 
> Julien Garet 
> 
> 

Mime
View raw message